% function hfssNewProject(fid)
%
% Popis funkce :
% -------------
% Tato funkce je nezbytna pro nasledujici praci s programem HFSS.
% Vytvori se aktivni spojeni s programem HFSS, skript se zapise do Temp
% souboru.
%
% Parametery:
% -----------
% fid         - soubor identifikujici HFSS script.
% -------------------------------------------------------------------------

function HfssNewProject(fid)
global App Desktop HProject

% Vytvoreni noveho projektu a zapis do souboru temp.
fprintf(fid, '%% Vytvoreni noveho projektu\n');
fprintf(fid, 'App = actxserver(''AnsoftHfss.HfssScriptInterface'');\n');
fprintf(fid, 'Desktop = App.GetAppDesktop();\n');
fprintf(fid, 'Desktop.RestoreWindow;\n');
fprintf(fid, 'Desktop.NewProject;\n');

% Vytvoreni, ze novy projekt bude aktivni.
fprintf(fid, 'HProject = Desktop.GetActiveProject;\n\n');

% Vytvoreni noveho projektu,zaktivovani projktu primo v programu HFSS.
App = actxserver('AnsoftHfss.HfssScriptInterface');
Desktop = App.GetAppDesktop();
Desktop.RestoreWindow;
Desktop.NewProject;
HProject = Desktop.GetActiveProject;
end